package com.ruoyi.bar.service;

import java.util.List;
import com.ruoyi.bar.domain.WyActivityJoinBatch;

/**
 * 获得参与批次信息Service接口
 * 
 * @author ruoyi
 * @date 2025-02-15
 */
public interface IWyActivityJoinBatchService 
{
    /**
     * 查询获得参与批次信息
     * 
     * @param batchId 获得参与批次信息主键
     * @return 获得参与批次信息
     */
    public WyActivityJoinBatch selectWyActivityJoinBatchByBatchId(Long batchId);

    WyActivityJoinBatch selectWyActivityJoinBatchByBatchIdWithData(Long batchId);

    WyActivityJoinBatch selectLastJoinBatch(WyActivityJoinBatch wyActivityJoinBatch);

    /**
     * 查询获得参与批次信息列表
     * 
     * @param wyActivityJoinBatch 获得参与批次信息
     * @return 获得参与批次信息集合
     */
    public List<WyActivityJoinBatch> selectWyActivityJoinBatchList(WyActivityJoinBatch wyActivityJoinBatch);

    List<WyActivityJoinBatch> selectWyActivityJoinBatchListWithData(WyActivityJoinBatch wyActivityJoinBatch);

    /**
     * 新增获得参与批次信息
     * 
     * @param wyActivityJoinBatch 获得参与批次信息
     * @return 结果
     */
    public int insertWyActivityJoinBatch(WyActivityJoinBatch wyActivityJoinBatch);

    /**
     * 修改获得参与批次信息
     * 
     * @param wyActivityJoinBatch 获得参与批次信息
     * @return 结果
     */
    public int updateWyActivityJoinBatch(WyActivityJoinBatch wyActivityJoinBatch);

    /**
     * 批量删除获得参与批次信息
     * 
     * @param batchIds 需要删除的获得参与批次信息主键集合
     * @return 结果
     */
    public int deleteWyActivityJoinBatchByBatchIds(Long[] batchIds);

    /**
     * 删除获得参与批次信息信息
     * 
     * @param batchId 获得参与批次信息主键
     * @return 结果
     */
    public int deleteWyActivityJoinBatchByBatchId(Long batchId);
}
